import skimage.io as io
import matplotlib.pyplot as plt
import numpy as np
from skimage.transform import resize

monkey = io.imread("monkey.jpg")
tiger = io.imread("tiger.jpg")

#resize images to 500x1000 pixels
monkey_resized = resize(monkey, (500, 1000))
tiger_resized = resize(tiger, (500, 1000))

combined = np.zeros((500,1000,3))
for i in range(500):
    for j in range(1000):
        for c in range(3):
            combined[i,j,c]=monkey_resized[i,j,c]/2 + \
                tiger_resized[i,j,c]/2

# this is equivalent to:
#combined = monkey_resized/2 + tiger_resized/2

plt.imshow(combined)
plt.show()
io.imsave("combined.jpg",combined)

