import skimage.io as io
import matplotlib.pyplot as plt
from skimage import img_as_float

monkey = io.imread("monkey.jpg")
tiger = io.imread("tiger.jpg")

print(monkey.shape) # (1362, 2048, 3)
print(tiger.shape) # (697, 1400, 3)

monkey_height, monkey_width, n_colours = monkey.shape
tiger_height, tiger_width, n_colours = tiger.shape

monkey_cropped = monkey[monkey_height-tiger_height:monkey_height, 
       monkey_width-tiger_width:monkey_width]

print(monkey_cropped.shape) # (697, 1400, 3)
print(tiger.shape) # (697, 1400, 3)

combined = monkey_cropped/2 + tiger/2
combined = img_as_float(combined/255)

plt.imshow(combined)
plt.show()
io.imsave("cropped_and_combined.jpg",combined)
