import skimage.io as io
import skimage.color as color
import matplotlib.pyplot as plt
import numpy as np

image = io.imread("monkey.jpg")
n_row, n_col, colors = image.shape

# create a blank image
new_image = np.zeros( (n_row, n_col, 3), dtype=np.uint8)

# assemble a new image made of shifted colors
# blue is shifted right by 100 pixels
# green is shifted up by 100 pixels
for i in range(n_row):
    for j in range(n_col):
        new_image[i,j,0] = image[i,j,0]  # keep red
        if i>=100:
            new_image[i,j,1]=image[i-100,j,1]  # move green
        if j>=100:
            new_image[i,j,2]=image[i,j-100,2]  # move blue

plt.imshow(new_image)
plt.show()
io.imsave("monkey_shifted.jpg",new_image)
